# PotionName (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Class PotionName

- java.lang.Object
- - de.epiceric.shopchest.language.PotionName

    public class PotionName
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PotionName.PotionItemType`

### Constructor Summary

Constructors
Constructor and Description
`PotionName(PotionName.PotionItemType potionItemType, org.bukkit.potion.PotionType potionType, String localizedName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocalizedName()`
`PotionName.PotionItemType` `getPotionItemType()`
`org.bukkit.potion.PotionType` `getPotionType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PotionName

    public PotionName(PotionName.PotionItemType potionItemType,
                      org.bukkit.potion.PotionType potionType,
                      String localizedName)

### Method Detail

#### getPotionItemType

    public PotionName.PotionItemType getPotionItemType()

Returns:
  `PotionName.PotionItemType` linked to the Potion name

#### getPotionType

    public org.bukkit.potion.PotionType getPotionType()

Returns:
  Potion Type linked to the Potion name

#### getLocalizedName

    public String getLocalizedName()

Returns:
  Localized Name of the Potion